ABORT()

NAME
ABORT - abort the current transaction

SYNOPSIS

ABORT [ WORK | TRANSACTION ]

DESCRIPTION

ABORT rolls back the current transaction and causes all the updates made by the transaction to be discarded. This command is identical in behavior to the standard SQL command ROLLBACK [rollback(7)], and is present only for historical reasons.

PARAMETERS

WORK

TRANSACTION
    Optional key words. They have no effect.

NOTES

Use COMMIT [commit(7)] to successfully terminate a transaction.

Issuing ABORT when not inside a transaction does no harm, but it will provoke a warning message.

EXAMPLES

To abort all changes:

ABORT;

COMPATIBILITY

This command is a PostgreSQL extension present for historical reasons. ROLLBACK is the equivalent standard SQL command.

SEE ALSO
BEGIN [begin(7)], COMMIT [commit(l)], ROLLBACK [rollback(l)]